VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::SubscribedLibraryStub Class Reference

Remote stub implementation of the SubscribedLibrary API service. More...

Inherits vmware::content::SubscribedLibrary.

List of all members.

## Public Member Functions
| SubscribedLibraryStub (vmware.vapi.core.IApiProvider iApiProvider, vmware.vapi.bindings.IStubConfiguration config)
string | Create (string clientToken, vmware.content.LibraryModel createSpec)
| Creates a new subscribed library.
string | Create (string clientToken, vmware.content.LibraryModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new subscribed library.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.LibraryModel createSpec)
| Creates a new subscribed library.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.LibraryModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new subscribed library.
void | Delete (string libraryId)
| Deletes the specified subscribed library.
void | Delete (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes the specified subscribed library.
global::System.Threading.Tasks.Task | DeleteAsync (string libraryId)
| Deletes the specified subscribed library.
global::System.Threading.Tasks.Task | DeleteAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes the specified subscribed library.
void | Evict (string libraryId)
| Evicts the cached content of an on-demand subscribed library.
void | Evict (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Evicts the cached content of an on-demand subscribed library.
global::System.Threading.Tasks.Task | EvictAsync (string libraryId)
| Evicts the cached content of an on-demand subscribed library.
global::System.Threading.Tasks.Task | EvictAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Evicts the cached content of an on-demand subscribed library.
vmware.content.LibraryModel | Get (string libraryId)
| Returns a given subscribed library.
vmware.content.LibraryModel | Get (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a given subscribed library.
global::System.Threading.Tasks.Task < vmware.content.LibraryModel > | GetAsync (string libraryId)
| Returns a given subscribed library.
global::System.Threading.Tasks.Task < vmware.content.LibraryModel > | GetAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a given subscribed library.
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers of all subscribed libraries in the Content Library.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all subscribed libraries in the Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers of all subscribed libraries in the Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all subscribed libraries in the Content Library.
void | Sync (string libraryId)
| Forces the synchronization of the subscribed library.
void | Sync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Forces the synchronization of the subscribed library.
global::System.Threading.Tasks.Task | SyncAsync (string libraryId)
| Forces the synchronization of the subscribed library.
global::System.Threading.Tasks.Task | SyncAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Forces the synchronization of the subscribed library.
void | Update (string libraryId, vmware.content.LibraryModel updateSpec)
| Updates the properties of a subscribed library.
void | Update (string libraryId, vmware.content.LibraryModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a subscribed library.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryId, vmware.content.LibraryModel updateSpec)
| Updates the properties of a subscribed library.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryId, vmware.content.LibraryModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a subscribed library.
vmware.content.SubscribedLibraryTypes.ProbeResult | Probe (vmware.content.library.SubscriptionInfo subscriptionInfo)
| Probes remote library subscription information, including URL, SSL certificate and password.
vmware.content.SubscribedLibraryTypes.ProbeResult | Probe (vmware.content.library.SubscriptionInfo subscriptionInfo, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Probes remote library subscription information, including URL, SSL certificate and password.
global::System.Threading.Tasks.Task < vmware.content.SubscribedLibraryTypes.ProbeResult > | ProbeAsync (vmware.content.library.SubscriptionInfo subscriptionInfo)
| Probes remote library subscription information, including URL, SSL certificate and password.
global::System.Threading.Tasks.Task < vmware.content.SubscribedLibraryTypes.ProbeResult > | ProbeAsync (vmware.content.library.SubscriptionInfo subscriptionInfo, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Probes remote library subscription information, including URL, SSL certificate and password.

## Detailed Description

Remote stub implementation of the SubscribedLibrary API service.

## Constructor & Destructor Documentation

vmware::content::SubscribedLibraryStub::SubscribedLibraryStub | ( | vmware.vapi.core.IApiProvider | iApiProvider,
|  | vmware.vapi.bindings.IStubConfiguration | config
| ) |  | `[inline]`

## Member Function Documentation

string vmware::content::SubscribedLibraryStub::Create | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec
| ) |  | `[inline]`

Creates a new subscribed library.

Once created, the subscribed library will be empty. If the LibraryModel.subscriptionInfo property is set, the Content Library Service will attempt to synchronize to the remote source. This is an asynchronous operation so the content of the published library may not immediately appear.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.ResourceInaccessible | if subscribing to a published library which cannot be accessed.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateSubscribedLibrary` .

Parameters:

  clientToken | Unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new subscribed library.

Returns:
  Identifier of the newly created subscribed library. The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

string vmware::content::SubscribedLibraryStub::Create | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new subscribed library.

Once created, the subscribed library will be empty. If the LibraryModel.subscriptionInfo property is set, the Content Library Service will attempt to synchronize to the remote source. This is an asynchronous operation so the content of the published library may not immediately appear.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.ResourceInaccessible | if subscribing to a published library which cannot be accessed.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateSubscribedLibrary` .

Parameters:

  clientToken | Unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new subscribed library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the newly created subscribed library. The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<string> vmware::content::SubscribedLibraryStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Creates a new subscribed library.

Once created, the subscribed library will be empty. If the LibraryModel.subscriptionInfo property is set, the Content Library Service will attempt to synchronize to the remote source. This is an asynchronous operation so the content of the published library may not immediately appear.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.ResourceInaccessible | if subscribing to a published library which cannot be accessed.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateSubscribedLibrary` .

Parameters:

  clientToken | Unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new subscribed library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the newly created subscribed library. The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<string> vmware::content::SubscribedLibraryStub::CreateAsync | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec
| ) |  | `[inline]`

Creates a new subscribed library.

Once created, the subscribed library will be empty. If the LibraryModel.subscriptionInfo property is set, the Content Library Service will attempt to synchronize to the remote source. This is an asynchronous operation so the content of the published library may not immediately appear.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.ResourceInaccessible | if subscribing to a published library which cannot be accessed.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateSubscribedLibrary` .

Parameters:

  clientToken | Unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new subscribed library.

Returns:
  Identifier of the newly created subscribed library. The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Delete | ( | string | libraryId | ) | `[inline]`

Deletes the specified subscribed library.

Deleting a subscribed library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library referenced by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library referenced by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Delete | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes the specified subscribed library.

Deleting a subscribed library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library referenced by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library referenced by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::DeleteAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Deletes the specified subscribed library.

Deleting a subscribed library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library referenced by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library referenced by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::DeleteAsync | ( | string | libraryId | ) | `[inline]`

Deletes the specified subscribed library.

Deleting a subscribed library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library referenced by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotFound | if the library referenced by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Evict | ( | string | libraryId | ) | `[inline]`

Evicts the cached content of an on-demand subscribed library.

This method allows the cached content of a subscribed library to be removed to free up storage capacity. This method will only work when a subscribed library is synchronized on-demand.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the library specified by libraryId does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.EvictSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Evict | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Evicts the cached content of an on-demand subscribed library.

This method allows the cached content of a subscribed library to be removed to free up storage capacity. This method will only work when a subscribed library is synchronized on-demand.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the library specified by libraryId does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.EvictSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::EvictAsync | ( | string | libraryId | ) | `[inline]`

Evicts the cached content of an on-demand subscribed library.

This method allows the cached content of a subscribed library to be removed to free up storage capacity. This method will only work when a subscribed library is synchronized on-demand.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the library specified by libraryId does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.EvictSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::EvictAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Evicts the cached content of an on-demand subscribed library.

This method allows the cached content of a subscribed library to be removed to free up storage capacity. This method will only work when a subscribed library is synchronized on-demand.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.NotAllowedInCurrentState | if the library specified by libraryId does not synchronize on-demand.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.EvictSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library whose content should be evicted. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

vmware.content.LibraryModel vmware::content::SubscribedLibraryStub::Get | ( | string | libraryId | ) | `[inline]`

Returns a given subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library associated with libraryId is not a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the subscribed library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The LibraryModel instance that corresponds to libraryId .

Implements vmware::content::SubscribedLibrary.

vmware.content.LibraryModel vmware::content::SubscribedLibraryStub::Get | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns a given subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library associated with libraryId is not a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the subscribed library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The LibraryModel instance that corresponds to libraryId .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<vmware.content.LibraryModel> vmware::content::SubscribedLibraryStub::GetAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns a given subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library associated with libraryId is not a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the subscribed library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The LibraryModel instance that corresponds to libraryId .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<vmware.content.LibraryModel> vmware::content::SubscribedLibraryStub::GetAsync | ( | string | libraryId | ) | `[inline]`

Returns a given subscribed library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library associated with libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library associated with libraryId is not a subscribed library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the subscribed library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The LibraryModel instance that corresponds to libraryId .

Implements vmware::content::SubscribedLibrary.

global::System.Collections.Generic.List<string> vmware::content::SubscribedLibraryStub::List | ( |  | ) | `[inline]`

Returns the identifiers of all subscribed libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all subscribed libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Collections.Generic.List<string> vmware::content::SubscribedLibraryStub::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all subscribed libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all subscribed libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::SubscribedLibraryStub::ListAsync | ( |  | ) | `[inline]`

Returns the identifiers of all subscribed libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all subscribed libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::SubscribedLibraryStub::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Returns the identifiers of all subscribed libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all subscribed libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

vmware.content.SubscribedLibraryTypes.ProbeResult vmware::content::SubscribedLibraryStub::Probe | ( | vmware.content.library.SubscriptionInfo | subscriptionInfo | ) | `[inline]`

Probes remote library subscription information, including URL, SSL certificate and password.

The resulting SubscribedLibrary.ProbeResult class describes whether or not the subscription configuration is successful.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.ProbeSubscription` .

Parameters:

  subscriptionInfo | The subscription info to be probed.

Returns:
  The subscription info probe result.

Implements vmware::content::SubscribedLibrary.

vmware.content.SubscribedLibraryTypes.ProbeResult vmware::content::SubscribedLibraryStub::Probe | ( | vmware.content.library.SubscriptionInfo | subscriptionInfo,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Probes remote library subscription information, including URL, SSL certificate and password.

The resulting SubscribedLibrary.ProbeResult class describes whether or not the subscription configuration is successful.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.ProbeSubscription` .

Parameters:

  subscriptionInfo | The subscription info to be probed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The subscription info probe result.

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<vmware.content.SubscribedLibraryTypes.ProbeResult> vmware::content::SubscribedLibraryStub::ProbeAsync | ( | vmware.content.library.SubscriptionInfo | subscriptionInfo,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Probes remote library subscription information, including URL, SSL certificate and password.

The resulting SubscribedLibrary.ProbeResult class describes whether or not the subscription configuration is successful.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.ProbeSubscription` .

Parameters:

  subscriptionInfo | The subscription info to be probed.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The subscription info probe result.

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task<vmware.content.SubscribedLibraryTypes.ProbeResult> vmware::content::SubscribedLibraryStub::ProbeAsync | ( | vmware.content.library.SubscriptionInfo | subscriptionInfo | ) | `[inline]`

Probes remote library subscription information, including URL, SSL certificate and password.

The resulting SubscribedLibrary.ProbeResult class describes whether or not the subscription configuration is successful.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.ProbeSubscription` .

Parameters:

  subscriptionInfo | The subscription info to be probed.

Returns:
  The subscription info probe result.

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Sync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Forces the synchronization of the subscribed library.

Synchronizing a subscribed library forcefully with this method will perform the same synchronization behavior as would run periodically for the library. The library.SubscriptionInfo.onDemand setting is respected. Calling this method on a library that is already in the process of synchronizing will have no effect.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if some parameter in the subscribed library subscription info is invalid.
  vmware.vapi.std.errors.ResourceInaccessible | if the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.SyncLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Sync | ( | string | libraryId | ) | `[inline]`

Forces the synchronization of the subscribed library.

Synchronizing a subscribed library forcefully with this method will perform the same synchronization behavior as would run periodically for the library. The library.SubscriptionInfo.onDemand setting is respected. Calling this method on a library that is already in the process of synchronizing will have no effect.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if some parameter in the subscribed library subscription info is invalid.
  vmware.vapi.std.errors.ResourceInaccessible | if the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.SyncLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::SyncAsync | ( | string | libraryId | ) | `[inline]`

Forces the synchronization of the subscribed library.

Synchronizing a subscribed library forcefully with this method will perform the same synchronization behavior as would run periodically for the library. The library.SubscriptionInfo.onDemand setting is respected. Calling this method on a library that is already in the process of synchronizing will have no effect.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if some parameter in the subscribed library subscription info is invalid.
  vmware.vapi.std.errors.ResourceInaccessible | if the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.SyncLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::SyncAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Forces the synchronization of the subscribed library.

Synchronizing a subscribed library forcefully with this method will perform the same synchronization behavior as would run periodically for the library. The library.SubscriptionInfo.onDemand setting is respected. Calling this method on a library that is already in the process of synchronizing will have no effect.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if some parameter in the subscribed library subscription info is invalid.
  vmware.vapi.std.errors.ResourceInaccessible | if the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.SyncLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to synchronize. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Update | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec
| ) |  | `[inline]`

Updates the properties of a subscribed library.

This is an incremental update to the subscribed library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.ResourceInaccessible | if the subscription info is being updated but the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the subscribed library.

Implements vmware::content::SubscribedLibrary.

void vmware::content::SubscribedLibraryStub::Update | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the properties of a subscribed library.

This is an incremental update to the subscribed library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.ResourceInaccessible | if the subscription info is being updated but the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the subscribed library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::UpdateAsync | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec
| ) |  | `[inline]`

Updates the properties of a subscribed library.

This is an incremental update to the subscribed library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.ResourceInaccessible | if the subscription info is being updated but the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the subscribed library.

Implements vmware::content::SubscribedLibrary.

global::System.Threading.Tasks.Task vmware::content::SubscribedLibraryStub::UpdateAsync | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  | `[inline]`

Updates the properties of a subscribed library.

This is an incremental update to the subscribed library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a subscribed library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.ResourceInaccessible | if the subscription info is being updated but the published library cannot be contacted or found.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateSubscribedLibrary` .

Parameters:

  libraryId | Identifier of the subscribed library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the subscribed library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implements vmware::content::SubscribedLibrary.

The documentation for this class was generated from the following file:

- SubscribedLibraryStub.cs